// Ansteuerung eines HD44780 kompatiblen LCD im 4-Bit-Interfacemodus
// http://www.mikrocontroller.net/articles/AVR-GCC-Tutorial
//
#ifndef LCD_ROUTINES_H
#define LCD_ROUTINES_H

#include "config.h"

void lcd_data(unsigned char);
void lcd_send(unsigned char);
void lcd_string(const char *);
void lcd_command(unsigned char);
void lcd_enable(void);
void lcd_init(void);
void lcd_clear(void);

#ifdef USEEEPROM
void lcd_eep_string(const char *);
#endif
 
  // Zeilen fr LCD
#define lcd_Line1() lcd_command(0x80)
#define lcd_Line2() lcd_command(0x80 | 0x40)

#define lcd_DefineChar(Index) lcd_command(0x40 | Index)

  // Pinbelegung fr das LCD, an verwendete Pins anpassen
  //
  // Datenleitungen sind fest D0..D3 an dem Port
  // Steuerleitungen RS und EN mssen am gleichen Port sein
  // R/W Signal direkt auf Masse (immer schreiben)
#define LCD_PORT      PORTD
#define LCD_DDR       DDRD
#define LCD_RS        PD4
#define LCD_EN1       PD5

  // Zeichenkodes
#define LCD_CHAR_OMEGA  244
#define LCD_CHAR_DIODE  0

#endif /* LCD_ROUTINES_H */
